Вход | Регистрация


1С:Предприятие :: 1С:Предприятие 8 общая

Конвертация Данных 3.0

Конвертация Данных 3.0
Я
   Aydar
 
01.11.17 - 13:16
Пытаюсь создать правило конвертации данных из конфигурации Источник в конф. Приемник.
При создание конвертации есть поле для добавления поддерживаемых версий формата.
Может кто объяснить, чайнику, что это и откуда его брать?
 
 
   vicof
 
1 - 01.11.17 - 13:20
Версии хдто-пакета enterprise data, видимо
   Starhan
 
2 - 01.11.17 - 14:31
зайти в конфигуратор, щелкнуть правой на xdto пакет выгрузить в файл

потом указать используемый формат в нужных конфронтациях
   Starhan
 
3 - 01.11.17 - 14:31
файл xdto пакета естесно надо загрузить в кд 3 в форматы
   Aydar
 
4 - 01.11.17 - 14:42
(3) я так и делаю
   Starhan
 
5 - 01.11.17 - 14:42
https://image.prntscr.com/image/l_mtuYBMQyehoOeROZQcWg.png

а вообще там же пошаговый алгоритм есть.
   Aydar
 
6 - 01.11.17 - 14:50
(5) у меня нет ExchangeMessage и Enterprise_1_0_beta файлов
   Starhan
 
7 - 01.11.17 - 14:55
Тогда ты взял неправильный инструмент для обмена между своими базами :)

Приглядись к КД2.

(Если конечно ты не собираешься объединять их с БСП в части универсального обмена и допиливать форматы.)
   Aydar
 
8 - 01.11.17 - 15:42
(7) а можно самому в ручную добавить ExchangeMessage и Enterprise_1_0_beta файлы или их нужно скачивать?
   Мыш
 
9 - 01.11.17 - 15:58
(8) Зайди уже в конфигуратор типовой Бухгалтерии, например
   MaxS
 
10 - 01.11.17 - 20:15
зачем вам Enterprise_1_0_beta?
Возьмите что-нибудь посвежее из БП3. И не верьте справке КД3 - ExchangeMessage  не нужно выбирать, он уже есть в конфигурации.
 
 Рекламное место пустует
   Starhan
 
11 - 02.11.17 - 06:30
(8)(10) ну да, так то это пример понятно что нужно выбирать подходящий формат (xdto-пакет) либо самому его создавать.

(0) ты бы объяснил задачу полностью. Может бы тебе помогли бы быстрее.
   Aydar
 
12 - 07.11.17 - 14:00
(11) Есть две одинаковые конфигурации. Мне нужно создать правила, по которому  из первой конфигурации во вторую передаю данные справочника.
Из обеих конфигураций выгрузил структуру конфигурации и структуру формата.
В конфигурации 3.0 загрузил эти структуры. Создал две конвертации (Источник и Приемник). При создании правила конвертации объекта указываю Идентификатор правила, Объект Конфигурации(из выпадающего списка), но не могу указать Объект Формата (выпадающий список пуст).
Как настроить так, что бы в выпадающем списке были объекты конфигурации Приемник?
   MaxS
 
13 - 07.11.17 - 14:11
(12) Форматы в КД3 загружены? У конвертации указаны используемые форматы?
   Aydar
 
14 - 07.11.17 - 14:15
(13) да
   AceVi
 
15 - 07.11.17 - 14:18
(12) Пошаговую инструкцию прям по пунктам выполнил?
Поддерживаемый формат появляется когда ты в кд 3.0 загрузишь сохораненный файлом EnterpriseData_
   Aydar
 
16 - 07.11.17 - 14:24
(15) у меня нет пакета EnterpriseData
   Aydar
 
17 - 07.11.17 - 14:26
(15) где его взять то?
   MaxS
 
18 - 07.11.17 - 14:27
Открвть конвертацию, открыть оттуда версию формата, там есть сверху ссылки Основное, Объекты формата, Типы формата. В Объекты формата есть что-нибудь?
(17) В 3.0.5.3 не нужен.
   Starhan
 
19 - 07.11.17 - 14:28
(12)КД 3.0 взлетит только если в твоих конфигурациях есть встроенная подсистема (из БСП) Обмен данными. Которая поддерживает обмен через универсальный обмен.

Судя потому что у тебя нет пакета EnterpriseData у тебя нет в конфах поддержки универсального обмена

а значит тебе нельзя использовать КД 3.0 если ты сыпишься на таких вопросах, то подсистему тоже вряд ли легко и просто перенесешь.

(17) из любой типовой, но что бы обмен работал надо в конфы тоже перенести.


может все таки КД 2.0?
   MaxS
 
20 - 07.11.17 - 14:28
В КД3 Раздел "Форматы данных" - Дерево объектов формата, выбрать какой-нибудь.  Есть там что?
   Aydar
 
21 - 07.11.17 - 14:45
(20) Версия формата: current-config
   Aydar
 
22 - 07.11.17 - 14:50
(19) можешь объяснить как подсистему перенести?
   AceVi
 
23 - 07.11.17 - 14:53
(16) Тогда ты не можешь работать с универсальным обменом данных.
В чем у тебя проблема? справочник перенести между одинаковыми конфами? Есть же универсальные обработки которые между одинаковыми базами могут перенести данные с помощью xml формата файлов.
(22) Гугли Библиотеку стандартных подсистем. только это все должно быть на управляемых формах.
   Aydar
 
24 - 07.11.17 - 15:02
(23) Я интересуюсь, для того что бы научиться работать с КД3.
   Starhan
 
25 - 07.11.17 - 15:05
   MaxS
 
26 - 07.11.17 - 15:37
(21) Что-то Вы там начудили. )) Лучше начать всё сначала.
А так же проверить совместимость конфигурации с универсальным форматом обмена.
   Aydar
 
27 - 07.11.17 - 15:50
(26) у меня есть внешний документ EnterpriseData_1_0_beta.xml, можно ли его загрузить в мою конфигурацию?
   AceVi
 
28 - 07.11.17 - 16:02
(27) А ты попробуй , милок. Отксель мы знаем что у тебя там за файл и откуда он, а?

Ясно понятно - не разобравшись в вопросе, лезите туда о чем понятия не имеете. Почитайте инструкцию сначала. ссылки вон вам дали, там как настроить универсальный обмен с 0. Или сами погуглите.
   MaxS
 
29 - 07.11.17 - 16:27
(27) уже отвечал на этот вопрос. Сдалась Вам эта beta )) Уже давно версия формата 1.5 есть. Начните хотя бы с 1.2.
после загрузке проверьте (20) Если там нет документов и справочников, переходите к (26) и так пока не получится.
   Aydar
 
30 - 07.11.17 - 16:32
(29) допустим у меня есть внешний файл EnterpriseData1_2.xml,
как мне его загрузить в свою конфигурацию?
   Cyberhawk
 
31 - 07.11.17 - 16:35
"Начните хотя бы с 1.2" // ЛУчше с 1.3, т.к. в БП 3.0.53 все что ниже 1.3 уже не поддержвается (привет обещания 1С об отсутствии необходимости доработки баз) :)
   MaxS
 
32 - 07.11.17 - 16:49
(30) В дереве конфигурации Общие - XDTO-пакеты, п.к.м. Импорт XML схемы.
Но это бесполезно, если в конфигурацию не внедрена БСП 2.3 и выше и подсистема синхронизации через универсальный формат.
(31) Ну ладно, можно с 1.3 начать. )) Нелогично в БП поступили. Может одумаются? В других последних конфигурациях ещё 1.0 есть.
   Cyberhawk
 
33 - 07.11.17 - 16:51
(32) Так неожиданно, Я бы сказал. Они еще и общие модули подсистемы подшаманили. Это ж сколько обменов с необновляемыми УТ после этого перестнет работать.
 
 
   Aydar
 
34 - 07.11.17 - 17:36
(32) там файл должен быть формата .xsd, у меня xml
   MaxS
 
35 - 07.11.17 - 17:41
(34) Формат у них xml расширение по умолчанию xsd
Первая строка файла примерно такая должна быть:

<xs:schema xmlns:ns1="http://www.1c.ru/SSL/Exchange/Message"; xmlns:tns="http://v8.1c.ru/edi/edi_stnd/EnterpriseData/1.3"; xmlns:xs="http://www.w3.org/2001/XMLSchema"; targetNamespace="http://v8.1c.ru/edi/edi_stnd/EnterpriseData/1.3"; attributeFormDefault="unqualified" elementFormDefault="qualified">
   Aydar
 
36 - 07.11.17 - 18:45
(35) тип можно эту строчку вставить и можно расширение поменять?
   DexterMorgan
 
37 - 07.11.17 - 18:51
(33) Скажешь тоже, неожиданно) Что стоило оставить старый обмен с УТ? Да ничего! 1с делает все, чтобы обеспечить программистов во франчах работой =)
   DexterMorgan
 
38 - 07.11.17 - 18:52
Хотя с другой стороны после массового использования КД 3.0, вроде как проблема обмена с необновляемыми УТ должна уйти насовсем, но я уверен, они что-нибудь придумают!
   Cyberhawk
 
39 - 07.11.17 - 19:00
"после массового использования КД 3.0, вроде как проблема обмена с необновляемыми УТ должна уйти насовсем, но я уверен, они что-нибудь придумают" // Или ты что-то не понял, или Я не так объяснил. Проблема с обменом необновляемой УТ 11 с обновляемой БП 3.0 уже есть, начиная с БП 3.0.53.
   MaxS
 
40 - 07.11.17 - 19:18
(36) Расширение можно поменять. Готовый файл лучше взять в типовой конфигурации. В той же БСП 2.3, например.
   DexterMorgan
 
41 - 07.11.17 - 20:08
(39) Ну со "старыми" необновляемыми УТ да, понятно она останется. Я имел ввиду, что "новые" необновляемые УТ (которые сейчас появляются/появятся) уже не будут иметь такую проблему, ибо уже могут в универсальный формат обмена
   DexterMorgan
 
42 - 07.11.17 - 20:09
(39) А про текущую ситуацию, я написал, не было бы проблем, если бы оставили возможность старого обмена
   Cyberhawk
 
43 - 07.11.17 - 21:01
(41) Видимо все-таки ты не понял :) Есть версии УТ годовой, допустим, давности, которые умеют выгружрать в универсальные форматы обмена версии 1.0.бета, 1.1 и 1.2. А БП поддерживает версии не ниже 1.3. Алес )
   Cyberhawk
 
44 - 07.11.17 - 21:02
+(43) Поэтому утверждать, что  "УТ ... не будут иметь такую проблему, ибо уже могут в универсальный формат обмена" нельзя: они все уже имеют такую проблему с БП 3.0.53 и выше


Список тем форума
Рекламное место пустует  Рекламное место пустует
ВНИМАНИЕ! Если вы потеряли окно ввода сообщения, нажмите Ctrl-F5 или Ctrl-R или кнопку "Обновить" в браузере.
Тема не обновлялась длительное время, и была помечена как архивная. Добавление сообщений невозможно.
Но вы можете создать новую ветку и вам обязательно ответят!
Каждый час на Волшебном форуме бывает более 2000 человек.
Рекламное место пустует